Package org.eclipse.birt.chart.model.layout.impl

# Class BlockImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.layout.impl.BlockImpl

All Implemented Interfaces:
  `IChartObject`, `Block`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `LabelBlockImpl`, `LegendImpl`, `PlotImpl`

public class BlockImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Block
An implementation of the model object ' Block'.

The following features are implemented:

- `Children`
- `Bounds`
- `Anchor`
- `Stretch`
- `Insets`
- `Row`
- `Column`
- `Rowspan`
- `Columnspan`
- `Min Size`
- `Outline`
- `Background`
- `Visible`
- `Triggers`
- `Width Hint`
- `Height Hint`
- `Cursor`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`final void`
`add(Block bl)`
Note: Manually written
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetBounds(Bounds newBounds, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMinSize(Size newMinSize, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`final Enumeration<Block>`
`children(boolean bRecursive)`
Note: Manually written
`Block`
`copyInstance()`
`static Block`
`create()`
A convenience method to create an initialized 'Block' instance Note: Manually written
`static Block`
`createDefault()`
A convenience method to create an initialized 'Block' instance Note: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Anchor`
`getAnchor()`
`Fill`
`getBackground()`
`Bounds`
`getBounds()`
`org.eclipse.emf.common.util.EList<Block>`
`getChildren()`
`int`
`getColumn()`
`int`
`getColumnspan()`
`Cursor`
`getCursor()`
`double`
`getHeightHint()`
`Insets`
`getInsets()`
`Size`
`getMinSize()`
`LineAttributes`
`getOutline()`
`Size`
`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
Computes and returns the size of the title block based on the text content and its attributes
`int`
`getRow()`
`int`
`getRowspan()`
`Stretch`
`getStretch()`
`org.eclipse.emf.common.util.EList<Trigger>`
`getTriggers()`
`double`
`getWidthHint()`
`boolean`
`isCustom()`
Note: Manually written
`boolean`
`isLegend()`
Note: Manually written
`boolean`
`isPlot()`
Note: Manually written
`boolean`
`isSetAnchor()`
`boolean`
`isSetColumn()`
`boolean`
`isSetColumnspan()`
`boolean`
`isSetHeightHint()`
`boolean`
`isSetRow()`
`boolean`
`isSetRowspan()`
`boolean`
`isSetStretch()`
`boolean`
`isSetVisible()`
`boolean`
`isSetWidthHint()`
`boolean`
`isText()`
Note: Manually written
`boolean`
`isTitle()`
Note: Manually written
`boolean`
`isVisible()`
`final void`
`remove(Block bl)`
Note: Manually written
`void`
`setAnchor(Anchor newAnchor)`
`void`
`setBackground(Fill newBackground)`
`void`
`setBounds(Bounds newBounds)`
`void`
`setColumn(int newColumn)`
`void`
`setColumnspan(int newColumnspan)`
`void`
`setCursor(Cursor newCursor)`
`void`
`setHeightHint(double newHeightHint)`
`void`
`setInsets(Insets newInsets)`
`void`
`setMinSize(Size newMinSize)`
`void`
`setOutline(LineAttributes newOutline)`
`void`
`setRow(int newRow)`
`void`
`setRowspan(int newRowspan)`
`void`
`setStretch(Stretch newStretch)`
`void`
`setVisible(boolean newVisible)`
`void`
`setWidthHint(double newWidthHint)`
`String`
`toString()`
`void`
`unsetAnchor()`
`void`
`unsetColumn()`
`void`
`unsetColumnspan()`
`void`
`unsetHeightHint()`
`void`
`unsetRow()`
`void`
`unsetRowspan()`
`void`
`unsetStretch()`
`void`
`unsetVisible()`
`void`
`unsetWidthHint()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getChildren

public org.eclipse.emf.common.util.EList<Block> getChildren()

Specified by:
  `getChildren` in interface `Block`
Returns:
  the value of the 'Children' containment reference list.
See Also:
  - `LayoutPackage.getBlock_Children()`

### getBounds

public Bounds getBounds()

Specified by:
  `getBounds` in interface `Block`
Returns:
  the value of the 'Bounds' containment reference.
See Also:
  - `Block.setBounds(Bounds)`
  - `LayoutPackage.getBlock_Bounds()`

### basicSetBounds

public org.eclipse.emf.common.notify.NotificationChain basicSetBounds(Bounds newBounds, org.eclipse.emf.common.notify.NotificationChain msgs)

### setBounds

public void setBounds(Bounds newBounds)

Specified by:
  `setBounds` in interface `Block`
Parameters:
  `newBounds` - the new value of the 'Bounds' containment reference.
See Also:
  - `Block.getBounds()`

### getAnchor

public Anchor getAnchor()

Specified by:
  `getAnchor` in interface `Block`
Returns:
  the value of the 'Anchor' attribute.
See Also:
  - `Anchor`
  - `Block.isSetAnchor()`
  - `Block.unsetAnchor()`
  - `Block.setAnchor(Anchor)`
  - `LayoutPackage.getBlock_Anchor()`

### setAnchor

public void setAnchor(Anchor newAnchor)

Specified by:
  `setAnchor` in interface `Block`
Parameters:
  `newAnchor` - the new value of the 'Anchor' attribute.
See Also:
  - `Anchor`
  - `Block.isSetAnchor()`
  - `Block.unsetAnchor()`
  - `Block.getAnchor()`

### unsetAnchor

public void unsetAnchor()

Specified by:
  `unsetAnchor` in interface `Block`
See Also:
  - `Block.isSetAnchor()`
  - `Block.getAnchor()`
  - `Block.setAnchor(Anchor)`

### isSetAnchor

public boolean isSetAnchor()

Specified by:
  `isSetAnchor` in interface `Block`
Returns:
  whether the value of the 'Anchor' attribute is set.
See Also:
  - `Block.unsetAnchor()`
  - `Block.getAnchor()`
  - `Block.setAnchor(Anchor)`

### getStretch

public Stretch getStretch()

Specified by:
  `getStretch` in interface `Block`
Returns:
  the value of the 'Stretch' attribute.
See Also:
  - `Stretch`
  - `Block.isSetStretch()`
  - `Block.unsetStretch()`
  - `Block.setStretch(Stretch)`
  - `LayoutPackage.getBlock_Stretch()`

### setStretch

public void setStretch(Stretch newStretch)

Specified by:
  `setStretch` in interface `Block`
Parameters:
  `newStretch` - the new value of the 'Stretch' attribute.
See Also:
  - `Stretch`
  - `Block.isSetStretch()`
  - `Block.unsetStretch()`
  - `Block.getStretch()`

### unsetStretch

public void unsetStretch()

Specified by:
  `unsetStretch` in interface `Block`
See Also:
  - `Block.isSetStretch()`
  - `Block.getStretch()`
  - `Block.setStretch(Stretch)`

### isSetStretch

public boolean isSetStretch()

Specified by:
  `isSetStretch` in interface `Block`
Returns:
  whether the value of the 'Stretch' attribute is set.
See Also:
  - `Block.unsetStretch()`
  - `Block.getStretch()`
  - `Block.setStretch(Stretch)`

### getInsets

public Insets getInsets()

Specified by:
  `getInsets` in interface `Block`
Returns:
  the value of the 'Insets' containment reference.
See Also:
  - `Block.setInsets(Insets)`
  - `LayoutPackage.getBlock_Insets()`

### basicSetInsets

public org.eclipse.emf.common.notify.NotificationChain basicSetInsets(Insets newInsets, org.eclipse.emf.common.notify.NotificationChain msgs)

### setInsets

public void setInsets(Insets newInsets)

Specified by:
  `setInsets` in interface `Block`
Parameters:
  `newInsets` - the new value of the 'Insets' containment reference.
See Also:
  - `Block.getInsets()`

### getRow

public int getRow()

Specified by:
  `getRow` in interface `Block`
Returns:
  the value of the 'Row' attribute.
See Also:
  - `Block.isSetRow()`
  - `Block.unsetRow()`
  - `Block.setRow(int)`
  - `LayoutPackage.getBlock_Row()`

### setRow

public void setRow(int newRow)

Specified by:
  `setRow` in interface `Block`
Parameters:
  `newRow` - the new value of the 'Row' attribute.
See Also:
  - `Block.isSetRow()`
  - `Block.unsetRow()`
  - `Block.getRow()`

### unsetRow

public void unsetRow()

Specified by:
  `unsetRow` in interface `Block`
See Also:
  - `Block.isSetRow()`
  - `Block.getRow()`
  - `Block.setRow(int)`

### isSetRow

public boolean isSetRow()

Specified by:
  `isSetRow` in interface `Block`
Returns:
  whether the value of the 'Row' attribute is set.
See Also:
  - `Block.unsetRow()`
  - `Block.getRow()`
  - `Block.setRow(int)`

### getColumn

public int getColumn()

Specified by:
  `getColumn` in interface `Block`
Returns:
  the value of the 'Column' attribute.
See Also:
  - `Block.isSetColumn()`
  - `Block.unsetColumn()`
  - `Block.setColumn(int)`
  - `LayoutPackage.getBlock_Column()`

### setColumn

public void setColumn(int newColumn)

Specified by:
  `setColumn` in interface `Block`
Parameters:
  `newColumn` - the new value of the 'Column' attribute.
See Also:
  - `Block.isSetColumn()`
  - `Block.unsetColumn()`
  - `Block.getColumn()`

### unsetColumn

public void unsetColumn()

Specified by:
  `unsetColumn` in interface `Block`
See Also:
  - `Block.isSetColumn()`
  - `Block.getColumn()`
  - `Block.setColumn(int)`

### isSetColumn

public boolean isSetColumn()

Specified by:
  `isSetColumn` in interface `Block`
Returns:
  whether the value of the 'Column' attribute is set.
See Also:
  - `Block.unsetColumn()`
  - `Block.getColumn()`
  - `Block.setColumn(int)`

### getRowspan

public int getRowspan()

Specified by:
  `getRowspan` in interface `Block`
Returns:
  the value of the 'Rowspan' attribute.
See Also:
  - `Block.isSetRowspan()`
  - `Block.unsetRowspan()`
  - `Block.setRowspan(int)`
  - `LayoutPackage.getBlock_Rowspan()`

### setRowspan

public void setRowspan(int newRowspan)

Specified by:
  `setRowspan` in interface `Block`
Parameters:
  `newRowspan` - the new value of the 'Rowspan' attribute.
See Also:
  - `Block.isSetRowspan()`
  - `Block.unsetRowspan()`
  - `Block.getRowspan()`

### unsetRowspan

public void unsetRowspan()

Specified by:
  `unsetRowspan` in interface `Block`
See Also:
  - `Block.isSetRowspan()`
  - `Block.getRowspan()`
  - `Block.setRowspan(int)`

### isSetRowspan

public boolean isSetRowspan()

Specified by:
  `isSetRowspan` in interface `Block`
Returns:
  whether the value of the 'Rowspan' attribute is set.
See Also:
  - `Block.unsetRowspan()`
  - `Block.getRowspan()`
  - `Block.setRowspan(int)`

### getColumnspan

public int getColumnspan()

Specified by:
  `getColumnspan` in interface `Block`
Returns:
  the value of the 'Columnspan' attribute.
See Also:
  - `Block.isSetColumnspan()`
  - `Block.unsetColumnspan()`
  - `Block.setColumnspan(int)`
  - `LayoutPackage.getBlock_Columnspan()`

### setColumnspan

public void setColumnspan(int newColumnspan)

Specified by:
  `setColumnspan` in interface `Block`
Parameters:
  `newColumnspan` - the new value of the 'Columnspan' attribute.
See Also:
  - `Block.isSetColumnspan()`
  - `Block.unsetColumnspan()`
  - `Block.getColumnspan()`

### unsetColumnspan

public void unsetColumnspan()

Specified by:
  `unsetColumnspan` in interface `Block`
See Also:
  - `Block.isSetColumnspan()`
  - `Block.getColumnspan()`
  - `Block.setColumnspan(int)`

### isSetColumnspan

public boolean isSetColumnspan()

Specified by:
  `isSetColumnspan` in interface `Block`
Returns:
  whether the value of the 'Columnspan' attribute is set.
See Also:
  - `Block.unsetColumnspan()`
  - `Block.getColumnspan()`
  - `Block.setColumnspan(int)`

### getMinSize

public Size getMinSize()

Specified by:
  `getMinSize` in interface `Block`
Returns:
  the value of the 'Min Size' containment reference.
See Also:
  - `Block.setMinSize(Size)`
  - `LayoutPackage.getBlock_MinSize()`

### basicSetMinSize

public org.eclipse.emf.common.notify.NotificationChain basicSetMinSize(Size newMinSize, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMinSize

public void setMinSize(Size newMinSize)

Specified by:
  `setMinSize` in interface `Block`
Parameters:
  `newMinSize` - the new value of the 'Min Size' containment reference.
See Also:
  - `Block.getMinSize()`

### getOutline

public LineAttributes getOutline()

Specified by:
  `getOutline` in interface `Block`
Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `Block.setOutline(LineAttributes)`
  - `LayoutPackage.getBlock_Outline()`

### basicSetOutline

public org.eclipse.emf.common.notify.NotificationChain basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOutline

public void setOutline(LineAttributes newOutline)

Specified by:
  `setOutline` in interface `Block`
Parameters:
  `newOutline` - the new value of the 'Outline' containment reference.
See Also:
  - `Block.getOutline()`

### getBackground

public Fill getBackground()

Specified by:
  `getBackground` in interface `Block`
Returns:
  the value of the 'Background' containment reference.
See Also:
  - `Block.setBackground(Fill)`
  - `LayoutPackage.getBlock_Background()`

### basicSetBackground

public org.eclipse.emf.common.notify.NotificationChain basicSetBackground(Fill newBackground, org.eclipse.emf.common.notify.NotificationChain msgs)

### setBackground

public void setBackground(Fill newBackground)

Specified by:
  `setBackground` in interface `Block`
Parameters:
  `newBackground` - the new value of the 'Background' containment reference.
See Also:
  - `Block.getBackground()`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `Block`
Returns:
  the value of the 'Visible' attribute.
See Also:
  - `Block.isSetVisible()`
  - `Block.unsetVisible()`
  - `Block.setVisible(boolean)`
  - `LayoutPackage.getBlock_Visible()`

### setVisible

public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `Block`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  - `Block.isSetVisible()`
  - `Block.unsetVisible()`
  - `Block.isVisible()`

### unsetVisible

public void unsetVisible()

Specified by:
  `unsetVisible` in interface `Block`
See Also:
  - `Block.isSetVisible()`
  - `Block.isVisible()`
  - `Block.setVisible(boolean)`

### isSetVisible

public boolean isSetVisible()

Specified by:
  `isSetVisible` in interface `Block`
Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `Block.unsetVisible()`
  - `Block.isVisible()`
  - `Block.setVisible(boolean)`

### getTriggers

public org.eclipse.emf.common.util.EList<Trigger> getTriggers()

Specified by:
  `getTriggers` in interface `Block`
Returns:
  the value of the 'Triggers' containment reference list.
See Also:
  - `LayoutPackage.getBlock_Triggers()`

### getWidthHint

public double getWidthHint()

Specified by:
  `getWidthHint` in interface `Block`
Returns:
  the value of the 'Width Hint' attribute.
See Also:
  - `Block.isSetWidthHint()`
  - `Block.unsetWidthHint()`
  - `Block.setWidthHint(double)`
  - `LayoutPackage.getBlock_WidthHint()`

### setWidthHint

public void setWidthHint(double newWidthHint)

Specified by:
  `setWidthHint` in interface `Block`
Parameters:
  `newWidthHint` - the new value of the 'Width Hint' attribute.
See Also:
  - `Block.isSetWidthHint()`
  - `Block.unsetWidthHint()`
  - `Block.getWidthHint()`

### unsetWidthHint

public void unsetWidthHint()

Specified by:
  `unsetWidthHint` in interface `Block`
See Also:
  - `Block.isSetWidthHint()`
  - `Block.getWidthHint()`
  - `Block.setWidthHint(double)`

### isSetWidthHint

public boolean isSetWidthHint()

Specified by:
  `isSetWidthHint` in interface `Block`
Returns:
  whether the value of the 'Width Hint' attribute is set.
See Also:
  - `Block.unsetWidthHint()`
  - `Block.getWidthHint()`
  - `Block.setWidthHint(double)`

### getHeightHint

public double getHeightHint()

Specified by:
  `getHeightHint` in interface `Block`
Returns:
  the value of the 'Height Hint' attribute.
See Also:
  - `Block.isSetHeightHint()`
  - `Block.unsetHeightHint()`
  - `Block.setHeightHint(double)`
  - `LayoutPackage.getBlock_HeightHint()`

### setHeightHint

public void setHeightHint(double newHeightHint)

Specified by:
  `setHeightHint` in interface `Block`
Parameters:
  `newHeightHint` - the new value of the 'Height Hint' attribute.
See Also:
  - `Block.isSetHeightHint()`
  - `Block.unsetHeightHint()`
  - `Block.getHeightHint()`

### unsetHeightHint

public void unsetHeightHint()

Specified by:
  `unsetHeightHint` in interface `Block`
See Also:
  - `Block.isSetHeightHint()`
  - `Block.getHeightHint()`
  - `Block.setHeightHint(double)`

### isSetHeightHint

public boolean isSetHeightHint()

Specified by:
  `isSetHeightHint` in interface `Block`
Returns:
  whether the value of the 'Height Hint' attribute is set.
See Also:
  - `Block.unsetHeightHint()`
  - `Block.getHeightHint()`
  - `Block.setHeightHint(double)`

### getCursor

public Cursor getCursor()

Specified by:
  `getCursor` in interface `Block`
Returns:
  the value of the 'Cursor' containment reference.
See Also:
  - `Block.setCursor(Cursor)`
  - `LayoutPackage.getBlock_Cursor()`

### basicSetCursor

public org.eclipse.emf.common.notify.NotificationChain basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setCursor

public void setCursor(Cursor newCursor)

Specified by:
  `setCursor` in interface `Block`
Parameters:
  `newCursor` - the new value of the 'Cursor' containment reference.
See Also:
  - `Block.getCursor()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### children

public final Enumeration<Block> children(boolean bRecursive)
Note: Manually written

Specified by:
  `children` in interface `Block`
Parameters:
  `bRecursive` -
Returns:

### getPreferredSize

public Size getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc) throws ChartException
Description copied from interface: `Block`
Computes and returns the size of the title block based on the text content and its attributes

Specified by:
  `getPreferredSize` in interface `Block`
Parameters:
  `xs` - The Xserver used in computing the scaling factor (pixels => points)
  `cm` - The chart model instance (if needed)
  `rtc` -
Returns:
  The preferred size of the title block 'in points'
Throws:
  `ChartException`

### isPlot

public boolean isPlot()
Note: Manually written

Specified by:
  `isPlot` in interface `Block`
Returns:

### isLegend

public boolean isLegend()
Note: Manually written

Specified by:
  `isLegend` in interface `Block`
Returns:

### isText

public boolean isText()
Note: Manually written

Specified by:
  `isText` in interface `Block`
Returns:

### isCustom

public boolean isCustom()
Note: Manually written

Specified by:
  `isCustom` in interface `Block`
Returns:

### isTitle

public boolean isTitle()
Note: Manually written

Specified by:
  `isTitle` in interface `Block`
Returns:

### add

public final void add(Block bl)
Note: Manually written

Specified by:
  `add` in interface `Block`
Parameters:
  `bl` -

### remove

public final void remove(Block bl)
Note: Manually written

Specified by:
  `remove` in interface `Block`
Parameters:
  `bl` -

### create

public static Block create()
A convenience method to create an initialized 'Block' instance Note: Manually written

Returns:

### createDefault

public static Block createDefault()
A convenience method to create an initialized 'Block' instance Note: Manually written

Returns:

### copyInstance

public Block copyInstance()

Specified by:
  `copyInstance` in interface `Block`
Specified by:
  `copyInstance` in interface `IChartObject`